/* Created on Apr 10, 2006 */
/**
   Copyright (C) 2006 by AKrasnopolski (Alexei Krasnopolski)

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License. 
*/

package com.ak.osgi.service.rmi.infobean;

import java.io.Serializable;
import java.util.Dictionary;

import org.osgi.framework.Bundle;
import org.osgi.framework.Constants;

import com.ak.osgi.service.rmi.remotefw.BundleShortInfoBean;

/**
 * The <tt>BundleShortInfoBeanImpl</tt> class 
 * <p>
 * @version 1.0.0
 * @author <a href="mailto:krasnop@bellsouth.net">Alexei Krasnopolski</a>
 */
public class BundleShortInfoBeanImpl implements BundleShortInfoBean
{
  /**
   *  Field serialVersionUID is type of <tt>long</tt>
   */
  private static final long serialVersionUID = 1L;
  private int state;
  private long bundleId;
  private String location;
  private String name;
  
  /**
   * @param bundleId
   */
  public BundleShortInfoBeanImpl( Bundle bundle )
  {
    state = bundle.getState();
    bundleId = bundle.getBundleId();
    location = bundle.getLocation();
    Dictionary dic = bundle.getHeaders();
    name = (String)dic.get( Constants.BUNDLE_NAME );
  }

  /**
   *@return
   *@see com.ak.osgi.service.rmi.remotefw.BundleShortInfoBean#getState()
   */ 
  
  public int getState()
  {
    return state;
  }

  public void setState( int state )
  {
    this.state = state;
  }

  /**
   *@return
   *@see com.ak.osgi.service.rmi.remotefw.BundleShortInfoBean#getBundleId()
   */ 
  
  public long getBundleId()
  {
    return bundleId;
  }

  public void setBundleId( long bundleId )
  {
    this.bundleId = bundleId;
  }

  /**
   *@return
   *@see com.ak.osgi.service.rmi.remotefw.BundleShortInfoBean#getLocation()
   */ 
  
  public String getLocation()
  {
    return location;
  }

  public void setLocation( String location )
  {
    this.location = location;
  }

  /**
   *@return
   *@see com.ak.osgi.service.rmi.remotefw.BundleShortInfoBean#getName()
   */ 
  
  public String getName()
  {
    return name;
  }

  /**
   *@param name
   *@see com.ak.osgi.service.rmi.remotefw.BundleShortInfoBean#setName(java.lang.String)
   */ 
  
  public void setName( String name )
  {
    this.name = name;
  }

}
