/* Created on Apr 5, 2006 */
/**
   Copyright (C) 2006 by AKrasnopolski (Alexei Krasnopolski)

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License. 
*/

package com.ak.osgi.service.rmi.infobean;

import java.io.Serializable;
import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.Dictionary;

import com.ak.osgi.service.rmi.remotefw.RMIServiceBean;


/**
 * The <tt>RMIServiceBeanImpl</tt> class 
 * <p>
 * @version 1.0.0
 * @author <a href="mailto:krasnop@bellsouth.net">Alexei Krasnopolski</a>
 */
public class RMIServiceBeanImpl implements RMIServiceBean
{

  /**
   *  Field serialVersionUID is type of <tt>long</tt>
   */
  private static final long serialVersionUID = 1L;
  int hashCode;
  Remote rmiService;
  String [] clazzes;
  Dictionary properties;
  
  /**
   *@param hashCode
   *@throws RemoteException
   *@see com.ak.osgi.service.rmi.remotefw.RMIServiceBean#setHashCode(int)
   */ 
  
  public void setHashCode( int hashCode )
  {
    this.hashCode = hashCode;
  }

  /**
   *@return
   *@throws RemoteException
   *@see com.ak.osgi.service.rmi.remotefw.RMIServiceBean#getHashCode()
   */ 
  
  public int getHashCode()
  {
    return hashCode;
  }

  /**
   *@param clazzes
   *@throws RemoteException
   *@see com.ak.osgi.service.rmi.remotefw.RMIServiceBean#setClasses(java.lang.String[])
   */ 
  
  public void setClasses( String [] clazzes )
  {
    this.clazzes = clazzes;
  }

  /**
   *@return
   *@throws RemoteException
   *@see com.ak.osgi.service.rmi.remotefw.RMIServiceBean#getClasses()
   */ 
  
  public String [] getClasses()
  {
    return clazzes;
  }

  /**
   *@param rmiService
   *@throws RemoteException
   *@see com.ak.osgi.service.rmi.remotefw.RMIServiceBean#setRMIService(java.rmi.Remote)
   */ 
  
  public void setRMIService( Remote rmiService )
  {
    this.rmiService = rmiService;
  }

  /**
   *@return
   *@throws RemoteException
   *@see com.ak.osgi.service.rmi.remotefw.RMIServiceBean#getRMIService()
   */ 
  
  public Remote getRMIService()
  {
    return rmiService;
  }

  /**
   *@param properties
   *@throws RemoteException
   *@see com.ak.osgi.service.rmi.remotefw.RMIServiceBean#setProperties(java.util.Dictionary)
   */ 
  
  public void setProperties( Dictionary properties )
  {
    this.properties = properties;
  }

  /**
   *@return
   *@throws RemoteException
   *@see com.ak.osgi.service.rmi.remotefw.RMIServiceBean#getProperties()
   */ 
  
  public Dictionary getProperties()
  {
    return properties;
  }

}
