/* Created on Apr 5, 2006 */
/**
   Copyright (C) 2006 by AKrasnopolski (Alexei Krasnopolski)

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License. 
*/

package com.ak.osgi.service.rmi.interfaces.rmifwcontext;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.Dictionary;

import com.ak.osgi.service.rmi.remotefw.BundleInfoBean;
import com.ak.osgi.service.rmi.remotefw.BundleShortInfoBean;

/**
 * The <tt>RemoteOSGiFramework</tt> interface 
 * <p>
 * @version 1.0.0
 * @author <a href="mailto:krasnop@bellsouth.net">Alexei Krasnopolski</a>
 */
public interface RemoteOSGiFramework extends Remote
{
  public BundleShortInfoBean [] getBundles() throws RemoteException;
  public BundleInfoBean getBundle( long id ) throws RemoteException;
  public Dictionary getProperties() throws RemoteException;
  public void startBundle( long id ) throws RemoteException; 
  public void stopBundle( long id ) throws RemoteException; 
}
