/*
 * Created on Aug 23, 2005
 *
 */
/**
   Copyright (C) 2006 by Alexei Krasnopolski

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License. 
*/
package com.ak.osgi.service.rmi.remotefw;

import java.rmi.Remote;
import java.rmi.RemoteException;

import com.ak.osgi.service.rmi.interfaces.rmifwcontext.RemoteOSGiFramework;

/**
 * The <tt>RMIGate</tt> interface represents remote server functionality to
 * <tt>RMIEntrant</tt> object on client framework.
 *  
 * @version 1.0.0
 * @author <a href="mailto:krasnop@bellsouth.net">Alexei Krasnopolski</a>
 */
public interface RMIGate extends Remote
{
  /**
   * Add client to remote server and establish connection.
   * 
   * @param client
   *           <tt>RMIEntrant</tt> object on client framework 
   * @throws RemoteException
   */
  public void addClient( RMIEntrant client ) throws RemoteException;
  /**
   * Disconnect client from remote server.
   * 
   * @param client
   *           <tt>RMIEntrant</tt> object on client framework 
   * @throws RemoteException
   */
  public void removeClient( RMIEntrant client ) throws RemoteException;
  
  public RemoteOSGiFramework getRemoteContext() throws RemoteException; 
}
