/* Created on Apr 4, 2006 */
/**
   Copyright (C) 2006 by AKrasnopolski (Alexei Krasnopolski)

   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License. 
*/

package com.ak.osgi.service.rmi.remotefw;

import java.io.Serializable;
import java.rmi.Remote;
import java.util.Dictionary;

/**
 * The <tt>RMIServiceBean</tt> interface 
 * @version 1.0.0
 * @author <a href="mailto:krasnop@bellsouth.net">Alexei Krasnopolski</a>
 */
public interface RMIServiceBean extends Serializable
{
  /**
   * @param hashCode
   *          Key (unique id) of <tt>rmiService</tt> object in <tt>serviceReg</tt> hashtable .
   */
  public void setHashCode( int hashCode );
  public int getHashCode();
  /**
   * @param clazzes
   *          List of interfaces for <tt>rmiService</tt>.
   */
  public void setClasses( String [] clazzes );
  public String [] getClasses();
  /**
   * @param rmiService
   *          Remote service to register on local framework
   */
  public void setRMIService( Remote rmiService );
  public Remote getRMIService();
  /**
   * @param properties
   *          Property hashtable for this service.
   */
  public void setProperties( Dictionary properties );
  public Dictionary getProperties();
}
